Subject: Re: bug#47307: Emacs 27.2 RC2 build/check issues on macOS ARM64

From: Eli Zaretskii <[email-masked]>
Date: Mon, 22 Mar 2021 19:20:40 +0200

> From: Paul Eggert <[email-masked]>
> Date: Sun, 21 Mar 2021 18:27:32 -0700
> 
> I configured Emacs 27.2 RC2 on macOS 11.2 ARM64 (arm-apple-darwin20.3.0) 
> using "./configure --with-gnutls=ifavailable" (plain "./configure" 
> failed, which was disconcerting). When I ran "make" the compiler complained:
> 
> editfns.c:2063:18: warning: unsequenced modification and access to 
> 'sa_avail' [-Wunsequenced]
> 
> This correctly diagnoses undefined behavior in that C function. I didn't 
> investigate what happens on that platform is as it's easier to fix the 
> problem on all platforms. I propose installing the attached 
> obviously-safe patch into the emacs-27 branch.

I'm okay with installing this on the emacs-27 branch, but please wait
until Emacs 27.2 is released (in a few days, fingers crossed), as I
see no reason to delay 27.2 due to this issue.

Thanks.